# sGcCtx Struct Reference

`#include <libmangle.h>`

## Data Fields

pGcElem | head
pGcElem | tail
sGcElem * | head
sGcElem * | tail

## Detailed Description

Garbage collector context. Tracks first and last of elements in gc context.

See also:
  generate_gc()
  release_gc()

## Field Documentation

sGcElem* sGcCtx::head

Pointer to first gc element in context.

pGcElem sGcCtx::head

Pointer to first gc element in context.

sGcElem* sGcCtx::tail

Pointer to last gc element in context.

pGcElem sGcCtx::tail

Pointer to last gc element in context.

The documentation for this struct was generated from the following files:

- include/libmangle.h
- src/m_token.h